Name:          high-scale-lib
Version:       1.1.2
Release:       %mkrel 4
Summary:       A collection of Concurrent and Highly Scalable Utilities
Group:         Development/Java
License:       Public Domain
Url:           https://github.com/stephenc
# mkdir -p high-scale-lib-1.1.2
# git clone  git://github.com/stephenc/high-scale-lib.git
# cd high-scale-lib
# git archive high-scale-lib-parent-1.1.2 | tar -x -C ../high-scale-lib-1.1.2
# cd ..
# tar czf high-scale-lib-1.1.2-src-git.tar.gz high-scale-lib-1.1.2
Source0:       high-scale-lib-1.1.2-src-git.tar.gz
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: sonatype-oss-parent
BuildRequires: junit4

BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-failsafe-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-local
BuildRequires: maven-resources-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-shade-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A collection of Concurrent and Highly Scalable Utilities. These are intended as direct
replacements for the java.util.* or java.util.concurrent.* collections but with better performance
when many CPUs are using the collection concurrently.

This package contains a Mavenized fork of http://high-scale-lib.sourceforge.net/ 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}/target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p java_util_concurrent_chm/target/java_util_concurrent_chm-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/java_util_concurrent_chm.jar
cp -p java_util_hashtable/target/java_util_hashtable-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/java_util_hashtable.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom
install -pm 644 %{name}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 java_util_concurrent_chm/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-java_util_concurrent_chm.pom
%add_maven_depmap JPP-java_util_concurrent_chm.pom java_util_concurrent_chm.jar
install -pm 644 java_util_hashtable/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-java_util_hashtable.pom
%add_maven_depmap JPP-java_util_hashtable.pom java_util_hashtable.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/java_util_concurrent_chm.jar
%{_javadir}/java_util_hashtable.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE README

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.2-4.mga4
+ Revision: 545853
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.1.2-3.mga4
+ Revision: 501934
- BR maven-local for mvn-rpmbuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 353255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 gil <gil> 1.1.2-1.mga2
+ Revision: 166403
- imported package high-scale-lib

